Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513688 - Holding down F11 while using FireFox freezes entire system.
Summary: Holding down F11 while using FireFox freezes entire system.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 18:46 UTC by mzidouski
Modified: 2018-11-30 23:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:25:23 UTC


Attachments (Terms of Use)

Description mzidouski 2017-11-15 18:46:16 UTC
Description of problem: Holding down F11 on Firefox causes gnome shell to become unresponsive.


Version-Release number of selected component (if applicable):57.0b12


How reproducible:
Every time.

Steps to Reproduce:
1.Open FireFox
2.Hold down the F11 (full screen key) for a minimum of 10 seconds on keyboard.
3. If you keep pushing F11 rapidly, you can achieve the same result.

Actual results:
Mouse starts flickering between input cursor and regular cursor (even though mouse is not over any input fields) and everything else is frozen solid.

Expected results:
Firefox goes into full screen even though button is held down. And if held down again, should go back to normal and ignore extra input until key is pushed again.

Additional info:
This bug was also apparent with Fedora 26, also tested it on a separate computer on a VM and was able to reproduce the problem. On Fedora 26 under Wayland, the entire system becomes unresponsive and a hard shut down is required. Under Wayland on Fedora 27, mouse just flickers but at least you can switch to terminal through a key combination and save any work. Also reproducible on Xorg, but mouse is still movable (on F26 and F27)

Note: Chrome does not have this issue and behaves exactly as expected, on Fedora 26 or 27.

Comment 1 Ben Cotton 2018-11-27 13:49:58 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:25:23 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.